Bug 215104 - istanbul ogg format is not recognized by oggdec, zinf, and others
Summary: istanbul ogg format is not recognized by oggdec, zinf, and others
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: istanbul (Show other bugs)
(Show other bugs)
Version: 6
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL: http://www.serviza.com/
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-11-10 22:42 UTC by Tim Jowers
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-27 22:51:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Jowers 2006-11-10 22:42:57 UTC
Description of problem:
OGG created with istanbul cannot be played outside of Totem and few others.

Version-Release number of selected component (if applicable):
istanbul 0.2.1

How reproducible:
every time on several files so far

Steps to Reproduce:
1. Record a video with istanbul
2. oggdec file.ogg -o file.wav
  
Actual results:
[root@localhost ~]# oggdec example-bash.ogg -o example-ogg.wav
OggDec 1.0.1
ERROR: Failed to open input as vorbis

istanbul is very useful and produces very small files relative to byzanz (gif)
and wink (swf)

Comment 1 Tim Jowers 2006-11-10 22:44:41 UTC
Sorry,
The command shoudl ahve been:
[root@localhost ~]# oggdec example-bash.ogg -o example-ogg.wav
OggDec 1.0.1
ERROR: Failed to open input as vorbis


Comment 2 Tim Jowers 2006-11-10 22:45:32 UTC
[root@localhost ~]# oggenc -o example-ogg.wav example-bash.ogg
ERROR: Input file "example-bash.ogg" is not a supported format

Comment 3 Jef Spaleta 2006-11-11 01:36:43 UTC
why are you trying to decode ogg theora  to wav?

the manpage for oggdev states explicitly that its for ogg vorbis   and doesn't
state that it can work on ogg theora video files.

I'm not sure that what you are attempting to do is even suppose to be supported
by the toolset you are using.  If oggdec is specifically looking for ogg vorbis
then it may not be smart enough to handle an ogg container that has theora video
and vorbis audio streams.

-jef



Note You need to log in before you can comment on or make changes to this bug.